---
updatedAt: 2026-06-01T14:14:02.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Denmark

Sample structures of the `E_KYC_CHECK` API responses for Denmark MitID Verification (dnk\_bankid\_mitid).

# GREEN

The following response example represents successful checks.

```json
{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2024-07-07 17:23:43",
      "id": "d8f4139a-320c-4e52-8a6b-3e7dee23e9c5",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "DNK"
      },
      "extractedDoc": {
        "country": "DNK",
        "number": "3112559107",
        "firstName": "Stig",
        "lastName": "Petersen",
        "dob": "1955-12-31",
        "additionalFields": [
          {
            "name": "levelOfAssurance",
            "value": "HIGH"
          },
          {
            "name": "identityAssuranceLevel",
            "value": "HIGH"
          },
          {
            "name": "authenticationAssuranceLevel",
            "value": "HIGH"
          }
        ]
      },
      "ekycCheckInfo": {
        "confirmationId": "QcOiKVyNuKBVqYwzYsPrrpc4",
        "confirmationType": "oAuth"
      }
    }
  ]
}
```

# YELLOW

The following example represents a case where the verification process is still in progress, and the applicant has not yet completed all required steps.

```json
{
  "checks": [
    {
      "answer": "YELLOW",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2025-11-06 21:39:24",
      "id": "faf3469c-7320-4533-8d78-901072fb8f5b",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "DNK"
      },
      "ekycCheckInfo": {
        "confirmationId": "TX0zGu2IT6YQYkMcMXTYorh8",
        "confirmationType": "oAuth"
      }
    }
  ]
}

```

# Response explained

## Root variables

The root variables are the core Non-Doc check result data items. Some of them may include nested attributes and element fields.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`id`",
    "0-1": "String",
    "0-2": "Unique identifier of the check.",
    "1-0": "`answer`",
    "1-1": "String",
    "1-2": "Check answer:<ul><li><code>GREEN</code> — the check has passed successfully. Data found in the database.</li><li><code>YELLOW</code> — verification process is not yet complete. We await the applicant's completion of the required steps.</li></ul>",
    "2-0": "`checkType`",
    "2-1": "String",
    "2-2": "Indicates that it is a `E_KYC_CHECK` check type.",
    "3-0": "`createdAt`",
    "3-1": "Date",
    "3-2": "Date and time (UTC) of the latest Non-Doc check result, in the format `YYYY-MM-DD hh:mm:ss` (for example, `2024-07-07 17:23:43`).",
    "4-0": "`inputDoc`",
    "4-1": "[Object](#inputdoc-attributes)",
    "4-2": "Represents the data used for the database check.",
    "5-0": "`extractedDoc`",
    "5-1": "[Object](#extracteddoc-attributes)",
    "5-2": "External check source data. It may not be present if the data is not received.",
    "6-0": "`ekycCheckInfo`",
    "6-1": "[Object](#ekyccheckinfo-attributes)",
    "6-2": "Contains information related to the eKYC confirmation process."
  },
  "cols": 3,
  "rows": 7,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `inputDoc` attributes

The following table explains the `inputDoc` attributes representing the data taken from the provided document.

| Field       | Type   | Description                                                                                                            |
| :---------- | :----- | :--------------------------------------------------------------------------------------------------------------------- |
| `idDocType` | String | Type of the document provided for verification. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT`, `DRIVERS`. |
| `country`   | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                               |

## `extractedDoc` attributes

The `extractedDoc` object includes the data obtained from the external source during the `E_KYC_CHECK` check.

| Field              | Type                                                 | Description                                                                                                  |
| :----------------- | :--------------------------------------------------- | :----------------------------------------------------------------------------------------------------------- |
| `country`          | String                                               | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                     |
| `number`           | String                                               | Registration number.                                                                                         |
| `firstName`        | String                                               | Applicant first name.                                                                                        |
| `lastName`         | String                                               | Applicant last name.                                                                                         |
| `dob`              | Date                                                 | Applicant date of birth (format `YYYY-mm-dd`, for example, `2001-09-25`) as it is specified in the document. |
| `additionalFields` | [Array of objects](#additionalfields-element-fields) | A collection of key-value pairs, representing additional information about the applicant.                    |

## `additionalFields` element fields

An array of key-value (name-value) pairs providing non-standard additional information.

Example:

```json
{
  "name": "levelOfAssurance",
  "value": "HIGH"
}
```

The following table explains some of the possible keys.

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Value type",
    "h-2": "Value description",
    "0-0": "`levelOfAssurance`",
    "0-1": "String",
    "0-2": "Level of Assurance:<ul><li><code>SUBSTANTIAL</code></li><li><code>HIGH</code></li><ul>",
    "1-0": "`identityAssuranceLevel`",
    "1-1": "String",
    "1-2": "Identity Assurance Level - represents the strength of the user's MitID registration:<ul><li><code>SUBSTANTIAL</code></li><li><code>HIGH</code></li><ul>",
    "2-0": "`authenticationAssuranceLevel`",
    "2-1": "String",
    "2-2": "Authentication Assurance Level - calculated based on the level requested by the verifying service and the authentication methods used during the verification process:<ul><li><code>SUBSTANTIAL</code></li><li><code>HIGH</code></li><ul>"
  },
  "cols": 3,
  "rows": 3,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `ekycCheckInfo` attributes

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`confirmationId`",
    "0-1": "String",
    "0-2": "Unique identifier of the eKYC confirmation session.",
    "1-0": "`confirmationType`",
    "1-1": "String",
    "1-2": "Indicates the eKYC confirmation type, if available.  \n  \nFor example, `oAuth` means that Non-Doc verification is confirmed using an OAuth-based authentication flow with an external identity provider (bank account, national digital identification system, and so on)."
  },
  "cols": 3,
  "rows": 2,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]